Bug 87765 - PASTE: HTML formatted text pasted from Chromium, Midori, Opera Does Not Retain Indentation
Summary: PASTE: HTML formatted text pasted from Chromium, Midori, Opera Does Not Retai...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: HTML-Paste
  Show dependency treegraph
 
Reported: 2014-12-27 14:34 UTC by Yousuf Philips (jay) (retired)
Modified: 2021-04-07 03:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
how the paste looks (49.22 KB, image/png)
2014-12-27 14:34 UTC, Yousuf Philips (jay) (retired)
Details
Good Looking Paste (15.96 KB, application/vnd.oasis.opendocument.text)
2014-12-30 19:41 UTC, Joel Madero
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-12-27 14:34:55 UTC
Created attachment 111397 [details]
how the paste looks

Steps:
1) Goto https://wiki.documentfoundation.org/Documentation/RecentStringChanges
2) Copy some text (e.g. the 4.4 section until 'Edit Menu > Changes')
3) Open Writer
4) Paste
5) Notice the bullet indentation before and after each bullet is not retained

Version: 4.5.0.0.alpha0+
Build ID: e570cd7a293ceee175949dcc9656cdf776ae3c37
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-12-12_18:49:54
Comment 1 Joel Madero 2014-12-30 19:41:11 UTC
ubuntu 14.04
LibreOffice 4.4 beta2

Looks fine - see attachment.
Comment 2 Joel Madero 2014-12-30 19:41:42 UTC
Created attachment 111533 [details]
Good Looking Paste
Comment 3 Yousuf Philips (jay) (retired) 2014-12-30 20:02:25 UTC
So pasting in Calligra Words and WPS on linux retained the bullet indenting, pasting on Windows in MS Word 2013 retained it as well.

The problem seems to be html coming from the Chromium/Chrome browser and LO not being able to handle it correctly.
Comment 4 Joel Madero 2014-12-30 20:05:02 UTC
Apparently every browser copies the stuff differently. So the request is to have special rules that detect how different browsers copy bullets.

Firefox - works fine;
Chromium - busted (see Jay's picture)
Chrome - same as chromium
Midori - worse than chromium;
Opera - about as bad as Midori.

Setting as:
New
Minor - can slow down professional quality work but won't prevent it;
Medium - seems like this might impact enough people to increase from low.
Comment 5 QA Administrators 2016-01-17 20:04:52 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-03-06 14:31:58 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2021-04-07 03:53:17 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug